Skala
Users

Replace a user

Completely replaces the data of an existing user with the provided payload.

PUT
/api/users/{id}

Completely replaces the data of an existing user with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

User identifier

Request Body

application/json

The updated User resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "email": "string",
  "roles": [
    "string"
  ],
  "firstName": "string",
  "lastName": "string",
  "permissions": [
    {}
  ],
  "language": "tr",
  "deviceId": "string",
  "operations": [
    {
      "company": {
        "id": 0,
        "name": "string"
      }
    }
  ],
  "isAdmin": true,
  "isActive": true,
  "type": "user",
  "company": {
    "id": 0,
    "name": "string"
  }
}
Empty
Empty
Empty